javax.batch.api.chunk.listener

## Interface ItemReadListener

All Known Implementing Classes:
  AbstractItemReadListener

    public interface ItemReadListener

ItemReadListener intercepts item reader processing.

### Method Summary

Methods
`void` `afterRead(Object item)` The afterRead method receives control after an item reader reads an item.
`void` `beforeRead()` The beforeRead method receives control before an item reader is called to read the next item.
`void` `onReadError(Exception ex)` The onReadError method receives control after an item reader throws an exception in the readItem method.

### Method Detail

#### beforeRead

    void beforeRead()
                    throws Exception

The beforeRead method receives control before an item reader is called to read the next item.

Throws:
  `Exception` - is thrown if an error occurs.

#### afterRead

    void afterRead(Object item)
                   throws Exception

The afterRead method receives control after an item reader reads an item. The method receives the item read as an input.

Parameters:
  `item` - specifies the item read by the item reader.
Throws:
  `Exception` - is thrown if an error occurs.

#### onReadError

    void onReadError(Exception ex)
                     throws Exception

The onReadError method receives control after an item reader throws an exception in the readItem method. This method receives the exception as an input.

Parameters:
  `ex` - specifies the exception that occurred in the item reader.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0